Timeout
Date: 2015-09-18

org.mockito.verification

## Class Timeout

- java.lang.Object
- - org.mockito.verification.VerificationWrapper<VerificationOverTimeImpl>
  - - org.mockito.verification.Timeout

- All Implemented Interfaces:
    VerificationMode, VerificationWithTimeout

      public class Timeout
      extends VerificationWrapper<VerificationOverTimeImpl>
      implements VerificationWithTimeout

  See the javadoc for `VerificationWithTimeout`

  Typically, you won't use this class explicitly. Instead use timeout() method on Mockito class. See javadoc for `VerificationWithTimeout`

- - ### Field Summary

    - ### Fields inherited from class org.mockito.verification.VerificationWrapper

      `wrappedVerification`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Timeout(long millis, VerificationMode delegate)` See the javadoc for `VerificationWithTimeout`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `VerificationMode` | `atMost(int maxNumberOfInvocations)`
    `protected VerificationMode` | `copySelfWithNewVerificationMode(VerificationMode newVerificationMode)`
    `VerificationMode` | `never()`

    - ### Methods inherited from class org.mockito.verification.VerificationWrapper

      `atLeast, atLeastOnce, only, times, verify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.mockito.verification.VerificationWithTimeout

      `atLeast, atLeastOnce, only, times`

    - ### Methods inherited from interface org.mockito.verification.VerificationMode

      `verify`

- - ### Constructor Detail

    - #### Timeout

          public Timeout(long millis,
                 VerificationMode delegate)

      See the javadoc for `VerificationWithTimeout`

      Typically, you won't use this class explicitly. Instead use timeout() method on Mockito class. See javadoc for `VerificationWithTimeout`

  - ### Method Detail

    - #### copySelfWithNewVerificationMode

          protected VerificationMode copySelfWithNewVerificationMode(VerificationMode newVerificationMode)

      Specified by:
        `copySelfWithNewVerificationMode` in class `VerificationWrapper<VerificationOverTimeImpl>`

    - #### atMost

          public VerificationMode atMost(int maxNumberOfInvocations)

      Specified by:
        `atMost` in interface `VerificationWithTimeout`
      Overrides:
        `atMost` in class `VerificationWrapper<VerificationOverTimeImpl>`
      Returns:
        verification mode

    - #### never

          public VerificationMode never()

      Specified by:
        `never` in interface `VerificationWithTimeout`
      Overrides:
        `never` in class `VerificationWrapper<VerificationOverTimeImpl>`
      Returns:
        verification mode